Model Monitoring drift and quality
Analyze model quality
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
analyze-model-quality
cURL
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": true,
"threshold": {
"operator": "<string>",
"lowerThreshold": 123,
"upperThreshold": 123
}
}
],
"startTimestamp": 123,
"endTimestamp": 123
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality"
payload = {
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": True,
"threshold": {
"operator": "<string>",
"lowerThreshold": 123,
"upperThreshold": 123
}
}
],
"startTimestamp": 123,
"endTimestamp": 123
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelType: '<string>',
metricCheckConfigs: [
{
alertsEnabled: true,
threshold: {operator: '<string>', lowerThreshold: 123, upperThreshold: 123}
}
],
startTimestamp: 123,
endTimestamp: 123
})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyze-model-quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"modelType": "<string>",
"calculatedOn": 123,
"startTimestamp": 123,
"endTimestamp": 123,
"metricTestResults": [
{
"metricType": "<string>",
"threshold": {
"operator": "<string>",
"lowerThreshold": 123,
"upperThreshold": 123
},
"alertsEnabled": true,
"trend": [
{
"timestamp": 123,
"value": 123,
"numberOfRows": 123
}
],
"status": true,
"value": 123,
"numberOfRecords": 123
}
],
"matchedRowCount": 123,
"confusionMatrix": {
"matrix": [
[
123
]
],
"labels": [
"<string>"
]
},
"classificationReport": {
"labelsReport": [
{
"heading": "<string>",
"support": 123,
"precision": 123,
"recall": 123,
"f1Score": 123
}
],
"accuracyReport": {
"value": 123,
"support": 123
},
"averagesReport": [
{
"heading": "<string>",
"support": 123,
"precision": 123,
"recall": 123,
"f1Score": 123
}
]
}
}Authorizations
dmm-plier_DominoApiKeyAuthdmm-plier_DmmApiKeyAuthdmm-plier_cookieAuthdmm-plier_BearerAuth
Path Parameters
Identifier for the model to be updated.
Body
application/json
Response
The MQ analyze query was done successfully.
- Option 1
- Option 2
Type of the model
Timestamp of time when the query was performed.
Start time for the data used for the query.
End time for the data used for the query.
Metric Test Results for the queries.
Show child attributes
Show child attributes
Number of matched Ground Truth and Prediction rows for this query.
Show child attributes
Show child attributes
List of Metrics per label, List of Macro and Weighted Averaged metrics, and Micro Accuracy value
Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?
⌘I
cURL
